org.apache.lucene.codecs.sep

## Class IntIndexInput

- java.lang.Object
- - org.apache.lucene.codecs.sep.IntIndexInput

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    FixedIntBlockIndexInput, VariableIntBlockIndexInput

      public abstract class IntIndexInput
      extends Object
      implements Closeable

  Defines basic API for writing ints to an IndexOutput. IntBlockCodec interacts with this API. @see IntBlockReader
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IntIndexInput.Index` Records a single skip-point in the `IntIndexInput.Reader`.
    `static class` | `IntIndexInput.Reader` Reads int values.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntIndexInput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close()`
    `abstract IntIndexInput.Index` | `index()`
    `abstract IntIndexInput.Reader` | `reader()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntIndexInput

          public IntIndexInput()

  - ### Method Detail

    - #### reader

          public abstract IntIndexInput.Reader reader()
                                               throws IOException

      Throws:
        `IOException`

    - #### close

          public abstract void close()
                              throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### index

          public abstract IntIndexInput.Index index()
                                             throws IOException

      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.